close all
meshfile=gmsh.buildmesh3d('cylinder3holes',20);
Th=siMesh(meshfile);
u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
U=Th.eval(u);

tstart=tic();
figure(1)
P=fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 1]);
Th.slice(U,P,'FaceColor','interp','EdgeColor','none')
hold on
Th.plot(U,'d',2,'labels',[100,101],'FaceColor','interp','EdgeColor','none')
caxis([min(U),max(U)])
isorange=linspace(min(U),max(U),10);
Th.plot(U,'d',2,'labels',[10,20,21], 'FaceColor','none', 'EdgeColor','interp')
Th.plotiso(U,'labels',[100,101],'isorange',isorange, 'color','w')
Th.sliceiso(U,P,'isorange',isorange,'color','w')
%shading interp
view(-114,11)
axis off;axis image
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

tstart=tic();
figure(2)
P1=fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]);
Th.slice(U,P1,'FaceColor','interp','EdgeColor','none')
hold on
Th.sliceiso(U,P1,'isorange',isorange, 'color','w')
P2=fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]);
Th.slice(U,P2,'FaceColor','interp','EdgeColor','none')
Th.sliceiso(U,P2,'isorange',isorange,'color','w')
P3=fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1]);
Th.slice(U,P3,'FaceColor','interp','EdgeColor','none')
Th.sliceiso(U,P3,'isorange',isorange,'color','w')
Th.plotmesh('d',2,'labels',[10,20,21], 'FaceColor','none', 'EdgeColor',0.95*[1,1,1])
Th.plot(U,'d',2,'labels',[100,101],'FaceColor','interp','EdgeColor','none')
Th.plotiso(U,'labels',[100,101],'isorange',isorange,'color','w')
caxis([min(U),max(U)])
Th.plotmesh('d',1, 'color','k','Linewidth',1.5)
axis off;axis image
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

fc_tools.graphics.DisplayFigures();